const fabric = require('@umijs/fabric')

module.exports = {
  ...fabric.stylelint,
  rules: {
    "indentation": 2,
    "block-no-empty": null,
    "color-no-invalid-hex": true,
    "max-empty-lines": 2,
    "rule-empty-line-before": null,
    "unit-no-unknown": null,
    "unit-whitelist": ["px", "em", "rem", "s", "rpx", "%", "vw", "vh", "deg"],
    "selector-max-compound-selectors": 5,
    "color-hex-length": "long",
    "at-rule-no-unknown": null,
    "selector-pseudo-class-no-unknown": [true, { "ignorePseudoClasses": ["global"] }]
  },
  ignoreFiles: ['**/*.js', '**/*.ts', 'src/assets/css/**'],
}
