/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
export default {
  dev: {
    '/cld2/': {
      target: 'http://192.168.1.26:7001/',
      changeOrigin: true,
      pathRewrite: {
        '^': '',
      },
    },
  },
  // test: {
  //   '/api/': {
  //     target: 'http://cld2.com:9090/login',
  //     changeOrigin: true,
  //     pathRewrite: {
  //       '^': '',
  //     },
  //   },
  // },
  pre: {
    '/api/': {
      target: 'your pre url',
      changeOrigin: true,
      pathRewrite: {
        '^': '',
      },
    },
  },
};
