export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          // {
          //   path: '/',
          //   redirect: '/welcome',
          // },
          // {
          //   path: '/welcome',
          //   name: 'welcome',
          //   icon: 'smile',
          //   component: './Welcome',
          // },
            {
              path: '/workbench',
              name: 'workbench',
              icon: 'icon-chess',
              routes: [
                {
                  path: '/workbench/workbench',
                  name: 'workbench',
                  component: './Workbench/workbench',
                },
              ],
            },
            {
              path: '/customer',
              name: 'customer',
              icon: 'icon-address-book',
              routes: [
                {
                  path: '/customer/contact',
                  name: 'contact',
                  icon: 'icon-address-book-o',
                  component: './Customer/contact',
                },
                {
                  path: '/customer/company',
                  name: 'company',
                  icon: 'icon-building',
                  component: './Customer/company',
                },
              ],
            },
            {
              path: '/product',
              name: 'product',
              icon: 'icon-box',
              routes: [
                {
                  path: '/product/lock',
                  name: 'lock',
                  icon: 'icon-magic',
                  routes: [
                    {
                      path: '/product/lock/lockstore',
                      name: 'lockstore',
                      component: './Product/Lock/lockstore',
                    },
                    {
                      path: '/product/lock/lockcount',
                      name: 'lockcount',
                      component: './Product/Lock/lockcount',
                    },
                  ],
                },
                {
                  path: '/product/cloud',
                  name: 'cloud',
                  icon: 'icon-cloud',
                  routes: [
                    {
                      path: '/product/cloud/build',
                      name: 'build',
                      component: './Product/Cloud/build',
                    },
                    {
                      path: '/product/cloud/curing',
                      name: 'curing',
                      component: './Product/Cloud/curing',
                    },
                  ],
                },
              ],
            },
          // {
          //   path: '/admin',
          //   name: 'admin',
          //   icon: 'crown',
          //   component: './Admin',
          //   authority: ['admin'],
          //   routes: [
          //     {
          //       path: '/admin/sub-page',
          //       name: 'sub-page',
          //       icon: 'smile',
          //       component: './Welcome',
          //       authority: ['admin'],
          //     },
          //   ],
          // },
          // {
          //   name: 'list.table-list',
          //   icon: 'table',
          //   path: '/list',
          //   component: './ListTableList',
          // },
          // {
          //   component: './404',
          // },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
