module.exports = {
  extends: [require.resolve('@umijs/fabric/dist/eslint')],
  globals: {
    ANT_DESIGN_PRO_ONLY_DO_NOT_USE_IN_YOUR_PRODUCTION: true,
    page: true,
    REACT_APP_ENV: true,
  },
  rules: {
    'semi': ['error', 'never'],
    'no-console': 0,
    'comma-dangle': [2, 'never'],
    'spaced-comment': 'error', // 注释前面必须有空格
    'react/prop-types': 0,
    // 'no-unused-vars': ['error', 'always'],
    'array-bracket-spacing': ['error', 'always'],
    'object-curly-spacing': ['error', 'always'],
  },
  settings: {
    react: {
      version: 'detect',
    },
  },
}
